package consoledoctor.barcode_scanner

import consoledoctor.barcode_scanner.objects.BarcodeScannerStartParameters

typealias BarcodeScannerCallback = (barcodes: List<Map<String, Any?>>, image: ByteArray?, width: Int?, height: Int?) -> Unit
typealias AnalyzerErrorCallback = (message: String) -> Unit
typealias AnalyzerSuccessCallback = (barcodes: List<Map<String, Any?>>?) -> Unit
typealias BarcodeScannerErrorCallback = (error: String) -> Unit
typealias TorchStateCallback = (state: Int) -> Unit
typealias ZoomScaleStateCallback = (zoomScale: Double) -> Unit
typealias ExposureLevelStateCallback = (exposureLevel: Double) -> Unit
typealias BarcodeScannerStartedCallback = (parameters: BarcodeScannerStartParameters) -> Unit