package consoledoctor.barcode_scanner.objects

enum class DetectionSpeed(val intValue: Int) {
    NO_DUPLICATES(0),
    NORMAL(1),
    UNRESTRICTED(2),
    DISABLED(3);

    companion object {
        fun fromInt(value: Int): DetectionSpeed {
            return DetectionSpeed.values().firstOrNull { it.intValue == value } ?: NORMAL
        }
    }
}