
import 'package:consoledoctor_barcode_scanner/consoledoctor_barcode_scanner.dart';
import 'package:flutter/material.dart';

import 'package:flutter/services.dart';

import 'dummy_order_lookup_handler.dart';


void main() {
  runApp(const MyApp());
  SystemChrome.setSystemUIOverlayStyle(SystemUiOverlayStyle(
    statusBarColor: Colors.transparent,
    systemNavigationBarColor: Colors.transparent,
    systemNavigationBarContrastEnforced: false
  ));
  SystemChrome.setEnabledSystemUIMode(SystemUiMode.edgeToEdge);

}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        body: Center(
          //child: BarcodeScannerWidget(),
          child: BarcodeScannerWidget(overlay: ScanResultOverlay(handler: DummyOrderLookupBarcodeHandler())),
        ),
      ),
    );
  }
}
